/*
 * Class BAG [G#1]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1566 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1566 [] = {0xFF01,1551,1565,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1566 [] = {0xFF01,1565,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1566 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1566 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1566 [] = {0xFF01,1565,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1566 [] = {0xFF01,1565,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1566 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1566 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1566 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1566 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1566 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1566 [] = {1565,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1566 [] = {0xFF01,1565,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1566 [] = {0xFF01,1560,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1566 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1566[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1566), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1566), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1566), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1566), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1566), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1566), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1566), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1566), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1566), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1566), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1566), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1566), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1566), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1566), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8598, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8599, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8600, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8601, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8602, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1566), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1566), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9009, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9010, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9011, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1566(void)
{
	IDSC(desc_1566, 0, 1565);
	IDSC(desc_1566 + 1, 1, 1565);
	IDSC(desc_1566 + 32, 1134, 1565);
	IDSC(desc_1566 + 41, 1135, 1565);
	IDSC(desc_1566 + 50, 778, 1565);
}


#ifdef __cplusplus
}
#endif
